/* -------------------------------------------------------
                           i2c.h

     Header fuer Softwaremodul zum Ansprechen des I2C 
     Busses OHNE Interruptbenutzung

     MCU   :  STM8S103F3
     Takt  :  interner Takt 16 MHz

     31.05.2016  R. Seelig
   ------------------------------------------------------ */

#ifndef in_stm8i2c
  #define in_stm8i2c

  #include "stm8s.h"
  #include "stm8_init.h"


  void i2c_init(char freq);
  void i2c_start(void);
  void i2c_stop(void);
  void i2c_startaddr(uint8_t addr, uint8_t rwflag);
  uint8_t i2c_write(uint8_t value);
  void i2c_write16(uint16_t value);
  uint8_t i2c_read(void);
  uint8_t i2c_read_nack(void);

#endif
